ApiBatchResponse (cloudera-manager-api-swagger 7.8.1 API)
Date: 2022-11-17

com.cloudera.api.swagger.model

## Class ApiBatchResponse

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiBatchResponse

-     @Generated(value="io.swagger.codegen.languages.JavaClientCodegen",
                 date="2022-11-17T16:22:50.425Z")
      public class ApiBatchResponse
      extends Object

  A batch response, comprised of one or more response elements.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiBatchResponse()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiBatchResponse` | `addItemsItem(ApiBatchResponseElement itemsItem)`
    `boolean` | `equals(Object o)`
    `List<ApiBatchResponseElement>` | `getItems()`
    `Boolean` | `getSuccess()` Read-only.
    `int` | `hashCode()`
    `ApiBatchResponse` | `items(List<ApiBatchResponseElement> items)`
    `void` | `setItems(List<ApiBatchResponseElement> items)`
    `void` | `setSuccess(Boolean success)`
    `ApiBatchResponse` | `success(Boolean success)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiBatchResponse

          public ApiBatchResponse()

  - ### Method Detail

    - #### items

          public ApiBatchResponse items(List<ApiBatchResponseElement> items)

    - #### addItemsItem

          public ApiBatchResponse addItemsItem(ApiBatchResponseElement itemsItem)

    - #### getItems

          public List<ApiBatchResponseElement> getItems()

      Returns:
        items

    - #### setItems

          public void setItems(List<ApiBatchResponseElement> items)

    - #### success

          public ApiBatchResponse success(Boolean success)

    - #### getSuccess

          public Boolean getSuccess()

      Read-only. True if every response element's ApiBatchResponseElement#getStatusCode() is in the range [200, 300), false otherwise.
      Returns:
        success

    - #### setSuccess

          public void setSuccess(Boolean success)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2022. All rights reserved.